List customers with pagination and filtering (v2)
curl --request GET \
--url https://api.sandbox.cheqpay.mx/pos/v2/customersimport requests
url = "https://api.sandbox.cheqpay.mx/pos/v2/customers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sandbox.cheqpay.mx/pos/v2/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"pagination": {
"total": 150,
"limit": 20,
"page": 1,
"hasMore": true
}
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"message": "Required"
}
]
}{
"message": "Error message"
}Customer V2
List customers with pagination and filtering (v2)
Retrieves a paginated list of customers for the authenticated merchant with optional filtering by email, phone number, and active status.
GET
/
v2
/
customers
List customers with pagination and filtering (v2)
Query Parameters
Number of customers to return per page (max 100)
Required range:
1 <= x <= 100Page number (1-indexed)
Required range:
x >= 1Filter by customer email address
Filter by customer phone number
Filter customers by partial email match (case-insensitive). Example: ?email__contains=example will match all emails containing 'example'.
Filter by customer active status (true/false or 1/0)
Available options:
true, false, 1, 0